<?php
//Migrations acts as a version control for the database allowing you to modify the app's database schema

//allows use of necessary libraries
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMenuPlans extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('menu_plans', function (Blueprint $table) {
            $table->id();
            $table->integer('week')->unique();
            $table->string('monday', 255);
            $table->string('tuesday', 255);
            $table->string('wednesday', 255);
            $table->string('thursday', 255);
            $table->timestamps();
            //$table->text('description');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menu_plans');
    }
}
